package com.kingdee.eas.custom.workflow;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import java.lang.String;
import com.kingdee.eas.custom.workflow.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class WorkflowFacade extends AbstractBizCtrl implements IWorkflowFacade
{
    public WorkflowFacade()
    {
        super();
        registerInterface(IWorkflowFacade.class, this);
    }
    public WorkflowFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IWorkflowFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("7881A070");
    }
    private WorkflowFacadeController getController() throws BOSException
    {
        return (WorkflowFacadeController)getBizController();
    }
    /**
     *获取公司岗位审批人员-User defined method
     *@param orgID 组织ID
     *@param postionNum 岗位编码
     *@return
     */
    public Object getWorkFlowPerson(String orgID, String postionNum) throws BOSException
    {
        try {
            return getController().getWorkFlowPerson(getContext(), orgID, postionNum);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}